Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2169678 - mariadb:{10.5,10.6,10.7,10.8,10.9} FTBFS: tpool/aio_linux.cc:117:19: error: 'stderr' was not declared in this scope
Summary: mariadb:{10.5,10.6,10.7,10.8,10.9} FTBFS: tpool/aio_linux.cc:117:19: error: '...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: mariadb
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL: https://mbs.fedoraproject.org/module-...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-02-14 09:50 UTC by Petr Pisar
Modified: 2023-11-17 06:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-17 06:00:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2023-02-14 09:50:58 UTC
mariadb:10.5 fails to build in Fedora 39 <https://mbs.fedoraproject.org/module-build-service/2/module-builds/15987> because mariadb component fails to build <https://koji.fedoraproject.org/koji/taskinfo?taskID=97447027>:

cd /builddir/build/BUILD/mariadb-10.5.18-downstream_modified/redhat-linux-build/storage/rocksdb && /usr/bin/g++ -DHAVE_CONFIG_H -DHAVE_SCHED_GETCPU=1 -DHAVE_TIMER_DELETE -DLZ4 -DOS_LINUX -DROCKSDB_FALLOCATE_PRESENT -DROCKSDB_LIB_IO_POSIX -DROCKSDB_MALLOC_USABLE_SIZE -DROCKSDB_PLATFORM_POSIX -DROCKSDB_SCHED_GETCPU_PRESENT -DROCKSDB_SUPPORT_THREAD_LOCAL -DZLIB -D_FILE_OFFSET_BITS=64 -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/wsrep-lib/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/wsrep-lib/wsrep-API/v26 -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/redhat-linux-build/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/sql -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/redhat-linux-build/storage/rocksdb -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb/util -isystem /builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb/third-party/gtest-1.7.0/fused-src -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wno-range-loop-construct -O3 -g -static-libgcc -fno-omit-frame-pointer -fno-strict-aliasing -Wno-uninitialized -fno-omit-frame-pointer -DDBUG_OFF -Wall -Wenum-compare -Wenum-conversion -Wextra -Wformat-security -Wno-format-truncation -Wno-init-self -Wno-nonnull-compare -Wno-unused-parameter -Woverloaded-virtual -Wnon-virtual-dtor -Wvla -Wwrite-strings -std=gnu++11   -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fPIC -Wno-error -MD -MT storage/rocksdb/CMakeFiles/rocksdb_tools.dir/rocksdb/tools/ldb_cmd.cc.o -MF CMakeFiles/rocksdb_tools.dir/rocksdb/tools/ldb_cmd.cc.o.d -o CMakeFiles/rocksdb_tools.dir/rocksdb/tools/ldb_cmd.cc.o -c /builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb/tools/ldb_cmd.cc
cd /builddir/build/BUILD/mariadb-10.5.18-downstream_modified/redhat-linux-build/storage/rocksdb && /usr/bin/g++ -DHAVE_CONFIG_H -DHAVE_SCHED_GETCPU=1 -DHAVE_TIMER_DELETE -DLZ4 -DOS_LINUX -DROCKSDB_FALLOCATE_PRESENT -DROCKSDB_LIB_IO_POSIX -DROCKSDB_MALLOC_USABLE_SIZE -DROCKSDB_PLATFORM_POSIX -DROCKSDB_SCHED_GETCPU_PRESENT -DROCKSDB_SUPPORT_THREAD_LOCAL -DZLIB -D_FILE_OFFSET_BITS=64 -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/wsrep-lib/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/wsrep-lib/wsrep-API/v26 -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/redhat-linux-build/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/sql -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/redhat-linux-build/storage/rocksdb -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb/util -isystem /builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb/third-party/gtest-1.7.0/fused-src -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wno-range-loop-construct -O3 -g -static-libgcc -fno-omit-frame-pointer -fno-strict-aliasing -Wno-uninitialized -fno-omit-frame-pointer -DDBUG_OFF -Wall -Wenum-compare -Wenum-conversion -Wextra -Wformat-security -Wno-format-truncation -Wno-init-self -Wno-nonnull-compare -Wno-unused-parameter -Woverloaded-virtual -Wnon-virtual-dtor -Wvla -Wwrite-strings -std=gnu++11   -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fPIC -Wno-error -MD -MT storage/rocksdb/CMakeFiles/rocksdb_tools.dir/rocksdb/tools/ldb_tool.cc.o -MF CMakeFiles/rocksdb_tools.dir/rocksdb/tools/ldb_tool.cc.o.d -o CMakeFiles/rocksdb_tools.dir/rocksdb/tools/ldb_tool.cc.o -c /builddir/build/BUILD/mariadb-10.5.18-downstream_modified/storage/rocksdb/rocksdb/tools/ldb_tool.cc
cd /builddir/build/BUILD/mariadb-10.5.18-downstream_modified/redhat-linux-build/tpool && /usr/bin/g++ -DHAVE_CONFIG_H -DLINUX_NATIVE_AIO=1 -D_FILE_OFFSET_BITS=64 -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/wsrep-lib/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/wsrep-lib/wsrep-API/v26 -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/redhat-linux-build/include -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool -I/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/include -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -O3 -g -static-libgcc -fno-omit-frame-pointer -fno-strict-aliasing -Wno-uninitialized -fno-omit-frame-pointer -DDBUG_OFF -Wall -Wenum-compare -Wenum-conversion -Wextra -Wformat-security -Wno-format-truncation -Wno-init-self -Wno-nonnull-compare -Wno-unused-parameter -Woverloaded-virtual -Wnon-virtual-dtor -Wvla -Wwrite-strings -std=gnu++11   -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fPIC -MD -MT tpool/CMakeFiles/tpool.dir/aio_linux.cc.o -MF CMakeFiles/tpool.dir/aio_linux.cc.o.d -o CMakeFiles/tpool.dir/aio_linux.cc.o -c /builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc
[...]
/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc: In static member function 'static void tpool::aio_linux::getevent_thread_routine(tpool::aio_linux*)':
/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc:117:19: error: 'stderr' was not declared in this scope
  117 |           fprintf(stderr, "io_getevents returned %d\n", ret);
      |                   ^~~~~~
/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc:24:1: note: 'stderr' is defined in header '<cstdio>'; did you forget to '#include <cstdio>'?
   23 | # include <sys/syscall.h>
  +++ |+#include <cstdio>
   24 | 
/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc:117:11: error: 'fprintf' was not declared in this scope; did you mean 'wprintf'?
  117 |           fprintf(stderr, "io_getevents returned %d\n", ret);
      |           ^~~~~~~
      |           wprintf
/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc: In function 'tpool::aio* tpool::create_linux_aio(thread_pool*, int)':
/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc:187:13: error: 'stderr' was not declared in this scope
  187 |     fprintf(stderr, "io_setup(%d) returned %d\n", max_io, ret);
      |             ^~~~~~
/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc:187:13: note: 'stderr' is defined in header '<cstdio>'; did you forget to '#include <cstdio>'?
/builddir/build/BUILD/mariadb-10.5.18-downstream_modified/tpool/aio_linux.cc:187:5: error: 'fprintf' was not declared in this scope; did you mean 'wprintf'?
  187 |     fprintf(stderr, "io_setup(%d) returned %d\n", max_io, ret);
      |     ^~~~~~~
      |     wprintf

This is probably triggered by changes in GCC 13 <https://gcc.gnu.org/gcc-13/porting_to.html#header-dep-changes>.

Comment 1 Petr Pisar 2023-02-14 13:10:31 UTC
mariadb:10.6 suffers from the same problem <https://mbs.fedoraproject.org/module-build-service/2/module-builds/16041>.

Comment 2 Petr Pisar 2023-02-14 15:49:39 UTC
mariadb:10.7 <https://mbs.fedoraproject.org/module-build-service/2/module-builds/16054> too.

Comment 3 Petr Pisar 2023-02-15 07:41:15 UTC
mariadb:10.8 <https://mbs.fedoraproject.org/module-build-service/2/module-builds/16066> too.

Comment 4 Petr Pisar 2023-02-16 11:15:11 UTC
mariadb:10.9 <https://mbs.fedoraproject.org/module-build-service/2/module-builds/16075> too.

Comment 5 Michal Schorm 2023-11-17 06:00:11 UTC
MariaDB builds fine in base Fedora.
I guess it's resolved ?

Please reopen if it is not.


Note You need to log in before you can comment on or make changes to this bug.